Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller
Class Controller

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.controller.Controller

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, RequestController, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class Controller

extends AbstractJBossService
implements RequestController

Version:
  $Revision: 11492 $
Author:
  Martin Holzner, Julien Viet, Boleslaw Dawidowicz

Field Summary
`protected CommandFactory` | `commandFactory` .
`protected InternalContentProviderRegistry` | `contentProviderRegistry` .
`protected ContentRendererRegistry` | `contentRendererRegistry` .
`protected CoordinationConfigurator` | `coordinationConfigurator` .
`protected CoordinationManager` | `coordinationManager` .
`protected CustomizationManager` | `customizationManager` .
`protected InstanceContainer` | `instanceContainer` .
`protected PageControlPolicy` | `pageControlPolicy` .
`protected PageService` | `pageService` .
`protected PortalAuthorizationManagerFactory` | `portalAuthorizationManagerFactory` .
`protected PortalObjectContainer` | `portalObjectContainer` .
`protected ResponseHandler` | `responseHandler` .
`protected org.jboss.portal.common.invocation.InterceptorStackFactory` | `stackFactory` .
`protected URLFactory` | `urlFactory` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`Controller()`

Method Summary
`CommandFactory` | `getCommandFactory()`
`InternalContentProviderRegistry` | `getContentProviderRegistry()`
`ContentRendererRegistry` | `getContentRendererRegistry()`
`CoordinationConfigurator` | `getCoordinationConfigurator()`
`CoordinationManager` | `getCoordinationManager()`
`CustomizationManager` | `getCustomizationManager()`
`InstanceContainer` | `getInstanceContainer()`
`PageControlPolicy` | `getPageControlPolicy()`
`PageService` | `getPageService()`
`PortalAuthorizationManagerFactory` | `getPortalAuthorizationManagerFactory()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`ResponseHandler` | `getResponseHandler()`
`org.jboss.portal.common.invocation.InterceptorStackFactory` | `getStackFactory()`
`URLFactory` | `getURLFactory()`
`void` | `handle(ServerInvocation invocation)` Handle the invocation.
`protected void` | `processCommand(ControllerContext controllerContext, ControllerCommand command)` Handle a command which means it executes the command and reacts upon the response created by the command.
`protected void` | `processCommandResponse(ControllerContext controllerContext, ControllerCommand command, ControllerResponse response)`
`protected void` | `processHandlerResponse(ControllerContext controllerContext, ControllerCommand command, HandlerResponse handlerResponse)`
`protected void` | `sendResponse(ControllerContext ctx, AjaxResponse resp)` All http responses in the stack should be handled here.
`protected void` | `sendResponse(ControllerContext ctx, HTTPResponse resp)` All http responses in the stack should be handled here.
`void` | `setCommandFactory(CommandFactory commandFactory)`
`void` | `setContentProviderRegistry(InternalContentProviderRegistry contentProviderRegistry)`
`void` | `setContentRendererRegistry(ContentRendererRegistry contentRendererRegistry)`
`void` | `setCoordinationConfigurator(CoordinationConfigurator coordinationConfigurator)`
`void` | `setCoordinationManager(CoordinationManager coordinationManager)`
`void` | `setCustomizationManager(CustomizationManager customizationManager)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setPageControlPolicy(PageControlPolicy pageControlPolicy)`
`void` | `setPageService(PageService pageService)`
`void` | `setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)`
`void` | `setPortalObjectContainer(PortalObjectContainer portalObjectContainer)`
`void` | `setResponseHandler(ResponseHandler responseHandler)`
`void` | `setStackFactory(org.jboss.portal.common.invocation.InterceptorStackFactory stackFactory)`
`void` | `setURLFactory(URLFactory urlFactory)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageService

    protected PageService pageService

  .

### commandFactory

    protected CommandFactory commandFactory

  .

### urlFactory

    protected URLFactory urlFactory

  .

### stackFactory

    protected org.jboss.portal.common.invocation.InterceptorStackFactory stackFactory

  .

### portalObjectContainer

    protected PortalObjectContainer portalObjectContainer

  .

### instanceContainer

    protected InstanceContainer instanceContainer

  .

### portalAuthorizationManagerFactory

    protected PortalAuthorizationManagerFactory portalAuthorizationManagerFactory

  .

### customizationManager

    protected CustomizationManager customizationManager

  .

### contentRendererRegistry

    protected ContentRendererRegistry contentRendererRegistry

  .

### responseHandler

    protected ResponseHandler responseHandler

  .

### pageControlPolicy

    protected PageControlPolicy pageControlPolicy

  .

### contentProviderRegistry

    protected InternalContentProviderRegistry contentProviderRegistry

  .

### coordinationConfigurator

    protected CoordinationConfigurator coordinationConfigurator

  .

### coordinationManager

    protected CoordinationManager coordinationManager

  .

Constructor Detail

### Controller

    public Controller()

Method Detail

### getContentProviderRegistry

    public InternalContentProviderRegistry getContentProviderRegistry()

### setContentProviderRegistry

    public void setContentProviderRegistry(InternalContentProviderRegistry contentProviderRegistry)

### getContentRendererRegistry

    public ContentRendererRegistry getContentRendererRegistry()

### setContentRendererRegistry

    public void setContentRendererRegistry(ContentRendererRegistry contentRendererRegistry)

### getCustomizationManager

    public CustomizationManager getCustomizationManager()

### setCustomizationManager

    public void setCustomizationManager(CustomizationManager customizationManager)

### getPortalAuthorizationManagerFactory

    public PortalAuthorizationManagerFactory getPortalAuthorizationManagerFactory()

### setPortalAuthorizationManagerFactory

    public void setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer portalObjectContainer)

### getURLFactory

    public URLFactory getURLFactory()

### setURLFactory

    public void setURLFactory(URLFactory urlFactory)

### getCommandFactory

    public CommandFactory getCommandFactory()

### setCommandFactory

    public void setCommandFactory(CommandFactory commandFactory)

### getPageService

    public PageService getPageService()

### setPageService

    public void setPageService(PageService pageService)

### getStackFactory

    public org.jboss.portal.common.invocation.InterceptorStackFactory getStackFactory()

### setStackFactory

    public void setStackFactory(org.jboss.portal.common.invocation.InterceptorStackFactory stackFactory)

### getResponseHandler

    public ResponseHandler getResponseHandler()

### setResponseHandler

    public void setResponseHandler(ResponseHandler responseHandler)

### getPageControlPolicy

    public PageControlPolicy getPageControlPolicy()

### setPageControlPolicy

    public void setPageControlPolicy(PageControlPolicy pageControlPolicy)

### getCoordinationConfigurator

    public CoordinationConfigurator getCoordinationConfigurator()

### setCoordinationConfigurator

    public void setCoordinationConfigurator(CoordinationConfigurator coordinationConfigurator)

### getCoordinationManager

    public CoordinationManager getCoordinationManager()

### setCoordinationManager

    public void setCoordinationManager(CoordinationManager coordinationManager)

### handle

    public final void handle(ServerInvocation invocation)
                      throws ServerException

  Description copied from interface: `RequestController`
  Handle the invocation.

  Specified by:
    `handle` in interface `RequestController`
  Parameters:
    `invocation` - the server invocation
  Throws:
    `ServerException`

### processCommand

    protected void processCommand(ControllerContext controllerContext,
                                  ControllerCommand command)
                           throws ServerException

  Handle a command which means it executes the command and reacts upon the response created by the command.

  Parameters:
    `controllerContext` - the controller context
    `command` - the command
  Throws:
    `ServerException`

### processCommandResponse

    protected void processCommandResponse(ControllerContext controllerContext,
                                          ControllerCommand command,
                                          ControllerResponse response)
                                   throws ServerException

  Throws:
    `ServerException`

### processHandlerResponse

    protected void processHandlerResponse(ControllerContext controllerContext,
                                          ControllerCommand command,
                                          HandlerResponse handlerResponse)
                                   throws ServerException

  Throws:
    `ServerException`

### sendResponse

    protected void sendResponse(ControllerContext ctx,
                                HTTPResponse resp)

  All http responses in the stack should be handled here.

### sendResponse

    protected void sendResponse(ControllerContext ctx,
                                AjaxResponse resp)

  All http responses in the stack should be handled here.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD